FIX::DatabaseConnectionID Class Reference

`#include <DatabaseConnectionID.h>`

## Public Member Functions

| DatabaseConnectionID (const std::string &database, const std::string &user, const std::string &password, const std::string &host, short port)
const std::string & | getDatabase () const
const std::string & | getUser () const
const std::string & | getPassword () const
const std::string & | getHost () const
short | getPort () const

## Private Attributes

std::string | m_database
std::string | m_user
std::string | m_password
std::string | m_host
short | m_port

## Friends

bool | operator< (const DatabaseConnectionID &, const DatabaseConnectionID &)
bool | operator== (const DatabaseConnectionID &, const DatabaseConnectionID &)
bool | operator!= (const DatabaseConnectionID &, const DatabaseConnectionID &)

## Detailed Description

Definition at line 51 of file DatabaseConnectionID.h.

## Constructor & Destructor Documentation

## DatabaseConnectionID()

FIX::DatabaseConnectionID::DatabaseConnectionID | ( | const std::string & | database,
|  | const std::string & | user,
|  | const std::string & | password,
|  | const std::string & | host,
|  | short | port
| ) |  |

inline

Definition at line 72 of file DatabaseConnectionID.h.

{

## Member Function Documentation

## getDatabase()

const std::string& FIX::DatabaseConnectionID::getDatabase | ( |  | ) | const

inline

Definition at line 81 of file DatabaseConnectionID.h.

{

## getHost()

const std::string& FIX::DatabaseConnectionID::getHost | ( |  | ) | const

inline

Definition at line 87 of file DatabaseConnectionID.h.

{

## getPassword()

const std::string& FIX::DatabaseConnectionID::getPassword | ( |  | ) | const

inline

Definition at line 85 of file DatabaseConnectionID.h.

{

## getPort()

short FIX::DatabaseConnectionID::getPort | ( |  | ) | const

inline

Definition at line 89 of file DatabaseConnectionID.h.

{

## getUser()

const std::string& FIX::DatabaseConnectionID::getUser | ( |  | ) | const

inline

Definition at line 83 of file DatabaseConnectionID.h.

{

## Friends And Related Function Documentation

## operator!=

bool operator!= | ( | const DatabaseConnectionID & | lhs,
|  | const DatabaseConnectionID & | rhs
| ) |  |

friend

Definition at line 116 of file DatabaseConnectionID.h.

## operator<

bool operator< | ( | const DatabaseConnectionID & | lhs,
|  | const DatabaseConnectionID & | rhs
| ) |  |

friend

Definition at line 83 of file DatabaseConnectionID.h.

{
return ( ( lhs.m_database == rhs.m_database ) &&
( lhs.m_user == rhs.m_user ) &&
( lhs.m_password == rhs.m_password ) &&
( lhs.m_host == rhs.m_host ) &&
( lhs.m_port == rhs.m_port ));
}
inline bool operator!=( const DatabaseConnectionID& lhs, const DatabaseConnectionID& rhs )
{
return !( lhs == rhs );
}
}
#endif

## operator==

bool operator== | ( | const DatabaseConnectionID & | lhs,
|  | const DatabaseConnectionID & | rhs
| ) |  |

friend

Definition at line 108 of file DatabaseConnectionID.h.

## Member Data Documentation

## m_database

std::string FIX::DatabaseConnectionID::m_database

private

Definition at line 93 of file DatabaseConnectionID.h.

## m_host

std::string FIX::DatabaseConnectionID::m_host

private

Definition at line 96 of file DatabaseConnectionID.h.

## m_password

std::string FIX::DatabaseConnectionID::m_password

private

Definition at line 95 of file DatabaseConnectionID.h.

## m_port

short FIX::DatabaseConnectionID::m_port

private

Definition at line 97 of file DatabaseConnectionID.h.

## m_user

std::string FIX::DatabaseConnectionID::m_user

private

Definition at line 94 of file DatabaseConnectionID.h.

The documentation for this class was generated from the following file:

- DatabaseConnectionID.h

FIX::DatabaseConnectionID::operator!=
friend bool operator!=(const DatabaseConnectionID &, const DatabaseConnectionID &)
Definition: DatabaseConnectionID.h:116
FIX::DatabaseConnectionID::DatabaseConnectionID
DatabaseConnectionID(const std::string &database, const std::string &user, const std::string &password, const std::string &host, short port)
Definition: DatabaseConnectionID.h:72